Login with Facebook cannot be loaded due to missing permissions error

Hi,

I have tried to enable ‘Login with Facebook’ however I always get the following error:

{
    "error": "invalid_request",
    "error_description": "Unsupported get request. Object with ID 'me' does not exist, cannot be loaded due to missing permissions, or does not support this operation. Please read the Graph API documentation at https://developers.facebook.com/docs/graph-api"
    }

I am not asking for any permissions other than the default. This error happens when I click the ‘try’ button in the Auth0 admin user interface. Has anyone else had this problem? Do I have to setup anything special in my Facebook app? The Facebook app is currently in developer mode.

Thanks

Danny

4 Likes

I’m having the same problem here, can’t find the solution for this anywhere

1 Like

Hi!

Thanks for reporting this. Facebook released a new version of their Graph API (3.3, https://developers.facebook.com/docs/graph-api/changelog/version3.3) on April 30th which might be causing this.

As a temporary workaround while we investigate the issue, can you try using API version 3.2 instead by configuring the Application in Settings / Advanced?

Thanks,

Santiago

1 Like

I am experiencing the same issue. Having created my Facebook app on 2 May, I am not able to downgrade the API version from 3.3.

Any other potential resolutions?

1 Like

I have the same problem, unfortunately I cannot downgrade the API version from 3.3

1 Like

Hi everyone,

We are in contact with Facebook support given this stopped working after April 30th for new applications, and we expect to have a resolution soon.

We are also getting a workaround in place until we get more clarity on why the change on FB API behavior.

Thanks for your patience,

Santiago

3 Likes

Hi,
Same issue here.
No possibility to downgrade the API version in Application Settings / Advanced (only 3.3 is available in the dropdown)
Any news about the progress on the issue ?
Thanks
Benoît

A little bit of an off-topic but closely related to that thread, if anyone got any message from Facebook regarding Auth0 SDK usage please do provide us with such info in that topic:

Thank you!

Hello everyone,

We have published a change to address this issue.

For those that are facing the problem, please go to your Facebook social connection configuration on Auth0, and uncheck the ‘Social Context’ option under ‘User Data’:

Then try using the connection again.

People configuring the Facebook connection for the first time should not need to do any changes.

Please let us know if this resolves the error for you, and thanks again for your patience with this issue.

2 Likes

Thanks, it solved it here!

1 Like

I have this unchecked and I’m still getting a me error although it’s somewhat different:

“Invalid Scopes: user_about_me. This message is only shown to developers. Users of your app will ignore these permissions if present. Please read the documentation for valid permissions at: https://developers.facebook.com/docs/facebook-login/permissions

Edit: This seems to only happen for my fb app developer aware account.

Hey there!

Sorry for such huge delay in response! We’re doing our best in providing you with best developer support experience out there, but sometimes our bandwidth is not enough comparing to the number of incoming questions.

Wanted to reach out to know if you still require further assistance?